%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define glib_version 2.6.0
%define gtk_version 2.4.0
%define gnome_panel_version 2.2.0
%define gnome_python_version 2.10.0
%define gtkhtml2_version 2.3.1
%define gtkspell_version 2.0.7
%define libgda_version 3.99.9
%define libgdl_version 2.24.0

%define enable_gda 0
%define enable_gdl 0

### Abstract ###

Name: gnome-python2-extras
Version: 2.25.3
Release: 20%{?dist}
License: GPLv2+ and LGPLv2+
Group: Development/Languages
Summary: Additional PyGNOME Python extension modules
URL: http://www.pygtk.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-python-extras/2.25/gnome-python-extras-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: gnome-python2-gda <= 2.14.3-1
Obsoletes: gnome-python2-gda-devel <= 2.14.3-1

### Patches ###

# GNOME bug #584126
Patch1: gnome-python-extras-2.25.3-update-for-2.27.2.patch

### Dependencies ###

Requires: gnome-python2 >= %{gnome_python_version}

### Build Dependencies ###

BuildRequires: glib2 >= %{glib_version}
BuildRequires: gnome-panel-devel >= %{gnome_panel_version}
BuildRequires: gnome-python2-bonobo >= %{gnome_python_version}
BuildRequires: gnome-python2-devel >= %{gnome_python_version}
BuildRequires: gnome-python2-gnome >= %{gnome_python_version}
BuildRequires: gtk2 >= %{gtk_version}
BuildRequires: gtkhtml2-devel >= %{gtkhtml2_version}
BuildRequires: gtkspell-devel >= %{gtkspell_version}
BuildRequires: libbonoboui-devel
BuildRequires: pygtk2-devel
BuildRequires: python-devel

%if %{enable_gda}
BuildRequires: libgda-devel >= %{libgda_version}
%endif

%if %{enable_gdl}
BuildRequires: libgdl-devel >= %{libgdl_version}
%endif

%description
The gnome-python-extra package contains the source packages for additional 
Python bindings for GNOME. It should be used together with gnome-python.

%if %{enable_gda}
%package -n gnome-python2-gda
Summary: Python bindings for interacting with libgda
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: libgda >= %{libgda_version}

%description -n gnome-python2-gda
This module contains a wrapper that allows the use of libgda via Python.

%package -n gnome-python2-gda-devel
Summary: Headers for developing programs that will use gnome-python2-gda
Group: Development/Libraries
Requires: gnome-python2-gda = %{version}-%{release}
Requires: pkgconfig
Requires: pygobject2-devel
Requires: libgda-devel >= %{libgda_version}

%description -n gnome-python2-gda-devel
This module contains files needed for developing applications using
gnome-python2-gda.
%endif

%if %{enable_gdl}
%package -n gnome-python2-gdl
Summary: Python bindings for the GNOME Development Library
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: libgdl >= %{libgdl_version}

%description -n gnome-python2-gdl
This module contains a wrapper that allows the use of the GNOME Development
Library (gdl) via Python.
%endif

%package -n gnome-python2-gtkhtml2
Summary: Python bindings for interacting with gtkhtml2
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gtkhtml2 >= %{gtkhtml2_version}
Obsoletes: pygnome-gtkhtml

%description -n gnome-python2-gtkhtml2
This module contains a wrapper that allows the use of gtkhtml2 via Python.

%package -n gnome-python2-gtkspell
Summary: Python bindings for interacting with gtkspell
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gtkspell >= %{gtkspell_version}

%description -n gnome-python2-gtkspell
This module contains a wrapper that allows the use of gtkspell via Python.

%package -n gnome-python2-libegg
Summary: Python bindings for recent files and tray icons
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: gnome-python2-bonobo >= %{gnome_python_version}
Requires: gnome-python2-gnome >= %{gnome_python_version}

%description -n gnome-python2-libegg
This module contains a wrapper that allows the use of recent files and tray
icons via Python.

%prep
%setup -q -n gnome-python-extras-%{version}
%patch1 -p1 -b .update-for-2.27.2

%build

%if %{enable_gda}
%define gda_flags --enable-gda
%else
%define gda_flags --disable-gda
%endif

%if %{enable_gdl}
%define gdl_flags --enable-gdl
%else
%define gdl_flags --disable-gdl
%endif

%configure --enable-docs %gda_flags %gdl_flags
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

rm -rf $RPM_BUILD_ROOT/%{python_sitearch}/gtk-2.0/gksu

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%{_libdir}/pkgconfig/gnome-python-extras-2.0.pc
%{_datadir}/pygtk

%if %{enable_gda}
%files -n gnome-python2-gda
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gda.so

%files -n gnome-python2-gda-devel
%defattr(-,root,root,-)
%{_includedir}/pygda-4.0/
%{_libdir}/pkgconfig/pygda-4.0.pc
%endif

%if %{enable_gdl}
%files -n gnome-python2-gdl
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gdl.so
%endif

%files -n gnome-python2-gtkhtml2
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gtkhtml*
%defattr(644,root,root,755)
%doc examples/gtkhtml2/*

%files -n gnome-python2-gtkspell
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/gtkspell.so
%{_datadir}/gtk-doc/html/pygtkspell

%files -n gnome-python2-libegg
%defattr(-,root,root,-)
%{python_sitearch}/gtk-2.0/egg
%defattr(644,root,root,755)
%doc examples/egg/*


%changelog

